Begin a WebAuthn login ceremony
POST
/api/v1/login/mfa/webauthn/begin
const url = 'https://osctrl.net/api/v1/login/mfa/webauthn/begin';const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://osctrl.net/api/v1/login/mfa/webauthn/begin \ --header 'Content-Type: application/json' \ --data '{}'Returns WebAuthn assertion options for an MFA challenge.
Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
Examplegenerated
{}Responses
Section titled “Responses”OK
Media typeapplication/json
object
key
additional properties
any
Examplegenerated
{}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}